div.keyboardControl {
    left: -10000px;
    width: 1px;
    position: absolute;
}

:host {
    background-color: #fff;
    border: 1px solid #e0e0e0;
    border-bottom: 1px solid #cbcbcb;
    -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.1);
    box-shadow: 0 1px 1px rgba(0,0,0,.1);
    width: 100%;
    overflow: hidden;
    display: inline-block;
}

:host .editor {
    margin-bottom: 4px;
    max-height: 200px;
    overflow: auto;
    padding-top: 1px;
    width: inherit;
}

.editor textarea {
    display: inline-block;
    margin: 10px 4px 0 4px;
    vertical-align: middle;
    background: none;
    border: 0;
    font-family: arial,sans-serif;
    font-size: 13px;
    height: 23px;
    outline: 0;
    overflow-x: hidden;
    overflow-y: auto;
    padding: 0 0 0 5px;
    position: relative;
    resize: none;
    -webkit-appearance: textarea;
    -webkit-rtl-ordering: logical;
    user-select: text;
    flex-direction: column;
    cursor: auto;
    white-space: pre-wrap;
    word-wrap: break-word;
    text-rendering: auto;
    color: initial;
    letter-spacing: normal;
    word-spacing: normal;
    text-transform: none;
    text-indent: 0px;
    text-shadow: none;
    text-align: start;
    -webkit-writing-mode: horizontal-tb;
}